# Bills operations
Source: https://www.desktopaccountingapi.com/docs/api/reference/operations/tags/bills/

Vendor bills recorded in accounts payable.

- [List bills](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbillslist.md): `GET /v1/quickbooks-desktop/bills`
- [Create a bill](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbillscreate.md): `POST /v1/quickbooks-desktop/bills`
- [Retrieve a bill](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbillsretrieve.md): `GET /v1/quickbooks-desktop/bills/{id}`
- [Update a bill](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbillsupdate.md): `POST /v1/quickbooks-desktop/bills/{id}`
- [Delete a bill](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbillsdelete.md): `DELETE /v1/quickbooks-desktop/bills/{id}`
- [Void a bill](https://www.desktopaccountingapi.com/docs/api/reference/operations/qbdbillsvoid.md): `POST /v1/quickbooks-desktop/bills/{id}/void`
